Bug 978970 - [abrt] system-config-printer-1.4.1-7.fc19: system-config-printer.py:1322:printer_name_editing:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 15: ordinal not in range(128)
[abrt] system-config-printer-1.4.1-7.fc19: system-config-printer.py:1322:prin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:164e8e4abfadbc4405a95c60ffd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 08:04 EDT by Emmanuel Pacaud
Modified: 2013-07-23 23:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.1-8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 23:27:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (591 bytes, text/plain)
2013-06-27 08:04 EDT, Emmanuel Pacaud
no flags Details
File: environ (3.98 KB, text/plain)
2013-06-27 08:04 EDT, Emmanuel Pacaud
no flags Details

  None (edit)
Description Emmanuel Pacaud 2013-06-27 08:04:12 EDT
Version-Release number of selected component:
system-config-printer-1.4.1-7.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
core_backtrace: 3c6abe68bbe26e41a148a42f557a282d5c0cce77 0x52a printer_name_editing /usr/share/system-config-printer/system-config-printer.py -
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.9.6-301.fc19.x86_64
runlevel:       N 5
uid:            14316

Truncated backtrace:
system-config-printer.py:1322:printer_name_editing:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 15: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1322, in printer_name_editing
    newname = origname = unicode (entry.get_text())
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 15: ordinal not in range(128)

Local variables in innermost frame:
entry: <Entry object at 0x25722d0 (GtkEntry at 0x2c33540)>
self: <GUI object at 0x25466e0 (uninitialized at 0x0)>
Comment 1 Emmanuel Pacaud 2013-06-27 08:04:16 EDT
Created attachment 766091 [details]
File: backtrace
Comment 2 Emmanuel Pacaud 2013-06-27 08:04:20 EDT
Created attachment 766092 [details]
File: environ
Comment 3 Tim Waugh 2013-06-27 08:13:56 EDT
Should be fixed upstream in commit 940b502.
Comment 4 Fedora Update System 2013-07-02 08:55:34 EDT
system-config-printer-1.4.1-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.1-8.fc19
Comment 5 Fedora Update System 2013-07-02 21:36:38 EDT
Package system-config-printer-1.4.1-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.1-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12150/system-config-printer-1.4.1-8.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-23 23:27:05 EDT
system-config-printer-1.4.1-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.